2.3.3自定义渲染不能用了吗?

照着文档https://docs.cocos.com/creator/manual/zh/advanced-topics/custom-render.html?h=%E8%87%AA%E5%AE%9A%E4%B9%89
弄得吧,将脚本绑定到node的时候编辑器就会报错

请问下正确的方式是什么,文档是不是该更新下了

mark!!

2.4.3也出现问题了,

我也遇到这个情况了, 现在怎么解决啊 官方不给维护了吗

官方回来这里不, 我晕 我感觉我不该选择cocos creator


这个我用2.4.3运行是可以的

https://docs.cocos.com/creator/manual/zh/advanced-topics/custom-render.html#自定义-assembler
目前试几种 证明官方文档跑不通 这个太不专业了

严重怀疑拿旧版本文档糊弄新版本, 官方能给个说法不…

太多报错
Can not find assembler for render component : [CustomRender]
TypeError: Cannot read property ‘updateColor’ of null
TypeError: comp.requestRenderData is not a function
TypeError: this._effect.getHash is not a function

@panda 确实是的,这个例子运行不了了

呀 同样的问题。不知道怎么搞

引擎版本:2.4.3

NewProject_10.zip (286.1 KB)
暂时参考这个。

请问怎么使用材质的CC_USE_MODEL属性呢,
我激活这个属性,关闭updateWorldVerts没有显示了

这个工程浏览器能跑 模拟器跑不起来啊